h1 {
      border: 4px dotted red;
}

h2 {
      color: red;
}

h3 {
      margin: 20px;
      background-color: lightblue;
}

p {
      padding: 10px;
}

div {
      background: #ccc;
      transition: width 2s;
      width: 50%;
      height: 20%;
}

div:hover {
      width: 100%;
}